**Author:** [Sjshovan (Apogee)](https://github.com/Ap0gee)  
**Version:** v0.9.1  


# Clutch

> An Elder Scrolls Online addon that aims to prevent weapons from falling to the ground and grants the ability to pick them back up if they do.


### Table of Contents

- [Prerequisites](#prerequisites)
- [Installation](#installation)
- [Aliases](#aliases)
- [Usage](#usage)
- [Commands](#commands)
- [Support](#support)
- [Change Log](#change-log)
- [Known Issues](#known-issues)
- [TODOs](#todos)
- [License](#license)

___
### Prerequisites
1. [Elder Scrolls Online](https://www.elderscrollsonline.com/en-us/home)
2. **[Optional]** : [Minion Addon Manager](https://minion.mmoui.com/)

___
### Installation

**Minion Addon Manager:**  
1. Start Minion Addon Manager.
2. Choose `Elder Scrolls Online` from the games list on the left.
3. Click on `Find More` at the top.
4. Enter `Clutch` into the search bar.
5. Click on `Install`.

**Manual (From Github):**   
1. Navigate to <https://github.com/Ap0gee/Clutch>.
2. Click on `Releases`. 
3. Click on the `Source code (zip)` link within the latest release to download.
4. Extract the zipped folder to `.../Documents/Elder Scrolls Online/live/AddOns`.
5. Rename the folder to remove the version tag (`-v0.9.1`). The folder should be named `Clutch`.

**Manual (From ESOUI):**
1. Navigate to <https://www.esoui.com/addons.php>.
2. Enter `Clutch` into the search bar.
3. Click on `Download`.
4. Extract the zipped folder to `.../Documents/Elder Scrolls Online/live/AddOns`.

___
### Aliases
The following aliases are available to Clutch commands:    

**clutch:** clch   
**activate:** a    
**help:** h   
**info:** i  

___
### Usage

Clutch will automatically attempt to keep your weapons off the ground. If the addon is properly loaded, 
no further action is required.

**Manual:**  

If you find your weapons fall to the ground, despite Clutch being properly loaded, you may manually activate Clutch with a bound key press or a slash command.  

To bind Clutch to a key press, use the following steps:
1. Open your main menu
2. Navigate to `Controls` then `Addon Keybinds`.
3. Locate Clutch within the list of categories on the left.
4. Bind Clutch to a key of your choice.

Invoke the Clutch addon with the following commands:
    
    /clutch
    /clch
    
___    
### Commands 

**help**

Displays the available Clutch commands. Below are the equivalent ways of calling the command:
    
    /clutch help
    /clch help
    
    /clutch h
    /clch h
    
**activate** 

Manually activates Clutch and picks up your weapons. Below are the equivalent ways of calling the command:
    
    /clutch activate
    /clch activate
    
    /clutch a
    /clch a
    
**info**

Display information about Clutch. Below are the equivalent ways of calling the command:  

    /clutch info
    /clch info

    /clutch i
    /clch i
    
___
### Support
**Having Issues with this addon?**
* Please let me know [here](https://github.com/Ap0gee/Clutch/issues/new).
  
**Have something to say?**
* Send me some feedback here: <sjshovan@gmail.com>

**Want to stay in the loop with my work?**
* You can follow me at: <https://twitter.com/Sjshovan>

**Want to show your love and help me make more awesome stuff?**
* You can do so here: <https://www.paypal.me/Sjshovan>  

___
### Change Log

**v0.9.1** - 3/16/2019
- **Remove:** libStub and LibSlashCommander dependencies removed.
- **Update:** Cli colors changed.
- **Add:** README url added to info display.

**v0.9.0** - 3/15/2019
- Initial release

___
### Known Issues

None
___    
### TODOS

None
___

### License

Copyright © 2019, [Sjshovan (Apogee)](https://github.com/Ap0gee).
Released under the [BSD License](LICENSE).

***